package ru.yandex.webmaster3.viewer.http.user.settings.frontend;

import ru.yandex.autodoc.common.doc.annotation.Description;
import ru.yandex.webmaster3.core.http.ActionResponse;
import ru.yandex.webmaster3.core.http.ActionStatus;
import ru.yandex.webmaster3.storage.user.settings.FrontendUserSettingsKey;

import java.util.Map;

/**
 * @author avhaliullin
 */
public class GetMultipleUserSettingsResponse implements ActionResponse {
    private final Map<FrontendUserSettingsKey, String> settings;

    public GetMultipleUserSettingsResponse(Map<FrontendUserSettingsKey, String> settings) {
        this.settings = settings;
    }

    @Description("значения настроек")
    public Map<FrontendUserSettingsKey, String> getSettings() {
        return settings;
    }

    @Override
    public ActionStatus getRequestStatus() {
        return null;
    }
}
